xcb_glx_client_info(3)

NAME
xcb_glx_client_info -

SYNOPSIS
#include <xcb/glx.h>

  Request function

xcb_void_cookie_t xcb_glx_client_info(xcb_connection_t *conn, uint32_t major_version, uint32_t minor_version, uint32_t str_len, const char *string);

REQUEST ARGUMENTS

conn
    The XCB connection to X11.

major_version
    TODO: NOT YET DOCUMENTED.

minor_version
    TODO: NOT YET DOCUMENTED.

str_len
    TODO: NOT YET DOCUMENTED.

string
    TODO: NOT YET DOCUMENTED.

DESCRIPTION

RETURN VALUE
Returns an xcb_void_cookie_t. Errors (if any) have to be handled in the event loop.

If you want to handle errors directly with xcb_request_check instead, use xcb_glx_client_info_checked. See xcb-requests(3) for details.

ERRORS
This request does never generate any errors.

SEE ALSO

AUTHOR
Generated from glx.xml. Contact xcb@lists.freedesktop.org for corrections and improvements.